Bug 1086036 - translation-update-upstream commented out for Leap
translation-update-upstream commented out for Leap
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Translations
Leap 15.0
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Dominique Leuenberger
Karl Eichwalder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-20 15:22 UTC by Stanislav Brabec
Modified: 2022-07-04 01:55 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Brabec 2018-03-20 15:22:21 UTC
Looking at the packages, many of them now use:

%if !0%{?is_opensuse}
translation-update-upstream
%endif

This is an ugly divergence between SLE15 and Leap, as it forces splitting of translation-update and translation-update-upstream packages for SLE15 and Leap15, and doubles amount of work on translation updates. Disabling translation-update-upstream makes impossible to do a build-time translation update and forces post-installation updates). It makes translation-update for SLE unusable for Leap, and it also increases size of installation image with translations.

I am aware of a small increase of build time, but it makes possible to easily update translations directly in the lang package without touching the sources.

Technical details:

translation-update-upstream: Package that contains new upstream translations that can be used during the build time. It contains supplementary scripts to get the update.

translation-update: Package that contains post-installation updates. The tarball in this package is generated from translation-update-upstream using the %prep log (if translation-update-upsteam succeeds, build-time translation update is used, if it fails, post-installation translation update is used). translation-update depends on a dedicated glibc patch.
Comment 1 Dominique Leuenberger 2018-03-20 15:36:40 UTC
pfft... yeah, this was being disabled as in earlier discussions this was clearly dubbed as 'useless for Tumbleweed, where we get the upstream translations will regular package updates anyway' - of course nobody took leap into account with this.

And the package translation-update-upstream is an empty package (so also not exactly the same as used in SLE/Leap, which helped greatly in hiding this away)
Comment 2 Dominique Leuenberger 2018-03-20 15:41:54 UTC
Andtranslation-update-upstream in Leap, as a copy from sLE, does not look better: 

The tarballs are dated 20140905 - in the past we lost/broke more translation than fixed translation with this kind of outdated t-u-u (which is why this kind of translation had been disabled on so many packages; translations were degraded compared to what was done by Upstream)
Comment 3 Dominique Leuenberger 2018-03-20 15:43:51 UTC
osc rdiff SUSE:SLE-15:GA translation-update-upstream openSUSE:Factory | wc -l
0

until I miss something substantial, this is as broken in SLE15!?!
Comment 4 Stanislav Brabec 2018-03-20 15:58:35 UTC
Tumbleweed will always have an empty or nearly empty tarballs.

It makes sense to run these script in the late Beta / RC stage.

I spent last week on translations updates, so updates are on its way to SLE. I can submit them to Leap, but it needs the same translation-update-upsrteam for both.
Comment 5 Ludwig Nussel 2018-03-20 16:07:55 UTC
leap pulls translation-update-upstream from SLE so as soon as it is checked in there it will get submitted to Leap. I guess the condition should be changed to check for sle_version instead.
Comment 7 Dominique Leuenberger 2018-03-20 16:33:42 UTC
Discussed with sbrabec on IRC, the agreed path forward should be:

* unconditionally enable t-u-u again in all packages
  * on Tumbleweed, translation-update and translation-update-upstream are placeholder packages without content (stale content was what lead to strange translations in the past, which triggered the disabling of for oS)

* Leap and SLE being in sync, can share the t-u and t-u-u packages

* For Leap there is the risk that some packages handled by t-u (post install updates) differ between SLE and Leap; those might need extra care
Comment 8 Swamp Workflow Management 2018-03-22 10:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/589955 Factory / zenity
https://build.opensuse.org/request/show/589956 Factory / yelp
https://build.opensuse.org/request/show/589957 Factory / vte
https://build.opensuse.org/request/show/589958 Factory / tracker
https://build.opensuse.org/request/show/589959 Factory / totem-pl-parser
https://build.opensuse.org/request/show/589960 Factory / totem
https://build.opensuse.org/request/show/589961 Factory / tomboy
https://build.opensuse.org/request/show/589962 Factory / sound-juicer
https://build.opensuse.org/request/show/589963 Factory / rygel
https://build.opensuse.org/request/show/589965 Factory / rhythmbox
https://build.opensuse.org/request/show/589966 Factory / PackageKit
https://build.opensuse.org/request/show/589967 Factory / orca
https://build.opensuse.org/request/show/589968 Factory / NetworkManager
https://build.opensuse.org/request/show/589969 Factory / NetworkManager-applet
https://build.opensuse.org/request/show/589970 Factory / NetworkManager-vpnc
https://build.opensuse.org/request/show/589971 Factory / NetworkManager-openvpn
https://build.opensuse.org/request/show/589972 Factory / nautilus
https://build.opensuse.org/request/show/589973 Factory / mutter
https://build.opensuse.org/request/show/589974 Factory / meld
https://build.opensuse.org/request/show/589975 Factory / libwnck
https://build.opensuse.org/request/show/589976 Factory / libsoup
https://build.opensuse.org/request/show/589978 Factory / libpeas
https://build.opensuse.org/request/show/589979 Factory / libgtop
https://build.opensuse.org/request/show/589980 Factory / libgsf
https://build.opensuse.org/request/show/589981 Factory / libgnome
https://build.opensuse.org/request/show/589982 Factory / libgnomeui
https://build.opensuse.org/request/show/589983 Factory / latexila
https://build.opensuse.org/request/show/589984 Factory / krb5-auth-dialog
https://build.opensuse.org/request/show/589985 Factory / json-glib
https://build.opensuse.org/request/show/589986 Factory / jhbuild
https://build.opensuse.org/request/show/589987 Factory / gvfs
https://build.opensuse.org/request/show/589988 Factory / gucharmap
https://build.opensuse.org/request/show/589989 Factory / gtksourceview
https://build.opensuse.org/request/show/589990 Factory / gtk4
https://build.opensuse.org/request/show/589991 Factory / gthumb
https://build.opensuse.org/request/show/589992 Factory / gtk3
https://build.opensuse.org/request/show/589993 Factory / gtk2
https://build.opensuse.org/request/show/589994 Factory / gnumeric
https://build.opensuse.org/request/show/589995 Factory / goffice
https://build.opensuse.org/request/show/589996 Factory / gnome-tweaks
https://build.opensuse.org/request/show/589997 Factory / gnome-terminal
https://build.opensuse.org/request/show/589999 Factory / gnome-system-monitor
https://build.opensuse.org/request/show/590000 Factory / gnome-shell
https://build.opensuse.org/request/show/590001 Factory / gnome-shell-extensions
https://build.opensuse.org/request/show/590002 Factory / gnome-settings-daemon
https://build.opensuse.org/request/show/590003 Factory / gnome-session
https://build.opensuse.org/request/show/590004 Factory / gnome-screenshot
https://build.opensuse.org/request/show/590005 Factory / gnome-power-manager
https://build.opensuse.org/request/show/590006 Factory / gnome-packagekit
https://build.opensuse.org/request/show/590008 Factory / gnome-online-accounts
https://build.opensuse.org/request/show/590009 Factory / gnome-nettool
https://build.opensuse.org/request/show/590010 Factory / gnome-keyring
https://build.opensuse.org/request/show/590011 Factory / gnome-font-viewer
https://build.opensuse.org/request/show/590012 Factory / gnome-documents
https://build.opensuse.org/request/show/590013 Factory / gnome-disk-utility
https://build.opensuse.org/request/show/590014 Factory / gnome-dictionary
https://build.opensuse.org/request/show/590015 Factory / gnome-desktop
https://build.opensuse.org/request/show/590016 Factory / gnome-control-center
https://build.opensuse.org/request/show/590017 Factory / gnome-contacts
https://build.opensuse.org/request/show/590018 Factory / gnome-commander
https://build.opensuse.org/request/show/590019 Factory / gnome-clocks
https://build.opensuse.org/request/show/590020 Factory / gnome-calculator
https://build.opensuse.org/request/show/590021 Factory / gnome-boxes
https://build.opensuse.org/request/show/590022 Factory / gnome-bluetooth
https://build.opensuse.org/request/show/590023 Factory / glib2
https://build.opensuse.org/request/show/590024 Factory / glib-networking
https://build.opensuse.org/request/show/590025 Factory / gitg
https://build.opensuse.org/request/show/590026 Factory / gedit-plugins
https://build.opensuse.org/request/show/590027 Factory / gedit
https://build.opensuse.org/request/show/590028 Factory / gdm
https://build.opensuse.org/request/show/590029 Factory / gdk-pixbuf
https://build.opensuse.org/request/show/590030 Factory / file-roller
https://build.opensuse.org/request/show/590031 Factory / evolution
https://build.opensuse.org/request/show/590032 Factory / evolution-ews
https://build.opensuse.org/request/show/590033 Factory / evolution-data-server
https://build.opensuse.org/request/show/590034 Factory / evince
https://build.opensuse.org/request/show/590035 Factory / epiphany
https://build.opensuse.org/request/show/590036 Factory / eog
https://build.opensuse.org/request/show/590037 Factory / empathy
https://build.opensuse.org/request/show/590038 Factory / devhelp
https://build.opensuse.org/request/show/590039 Factory / cheese
https://build.opensuse.org/request/show/590040 Factory / brasero
https://build.opensuse.org/request/show/590042 Factory / anjuta
https://build.opensuse.org/request/show/590043 Factory / anjuta-extras
https://build.opensuse.org/request/show/590044 Factory / atk
Comment 9 Dominique Leuenberger 2018-03-27 09:21:22 UTC
The GNOME:* packages were addressed
Comment 13 Stanislav Brabec 2018-04-10 13:49:06 UTC
Just FYI: As SLE is in late RC phase and Leap still accept changes, and translation-update-upstream is a package that can be broken by any difference, I decided to to perform translation packages split now.

From now on, SLE 15 and Leap 15 translation packages will differ.

It keeps safe both products at cost of running all scripts twice from now on.

But anyway, thanks for your effort. It helped to keep common translation package as long as possible.

In future, I would like to provide a per-package OBS translation-update service that will prevent this type of problems completely. Maintenance of a centralized database of all translation updates and making updates currently takes me too much time.
Comment 14 Swamp Workflow Management 2018-04-10 18:30:11 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/595354 15.0 / translation-update-upstream
https://build.opensuse.org/request/show/595355 15.0 / translation-update
Comment 19 Swamp Workflow Management 2018-05-02 19:00:05 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/603219 15.0 / gnome-bluetooth
Comment 20 Swamp Workflow Management 2018-05-03 13:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/603677 15.0 / gnome-disk-utility
Comment 24 Swamp Workflow Management 2018-08-06 13:08:57 UTC
SUSE-SU-2018:2204-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1052916,1086036,1100097
CVE References: CVE-2017-2885,CVE-2018-12910
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libsoup-2.62.2-5.7.1
SUSE Linux Enterprise Server 12-SP3 (src):    libsoup-2.62.2-5.7.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libsoup-2.62.2-5.7.1
Comment 25 Swamp Workflow Management 2018-08-10 01:16:39 UTC
openSUSE-SU-2018:2296-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1052916,1086036,1100097
CVE References: CVE-2017-2885,CVE-2018-12910
Sources used:
openSUSE Leap 42.3 (src):    libsoup-2.62.2-8.1
Comment 26 Swamp Workflow Management 2019-01-08 14:09:32 UTC
SUSE-SU-2018:2204-2: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1052916,1086036,1100097
CVE References: CVE-2017-2885,CVE-2018-12910
Sources used:
SUSE OpenStack Cloud 7 (src):    libsoup-2.62.2-5.7.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libsoup-2.62.2-5.7.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libsoup-2.62.2-5.7.1
SUSE Enterprise Storage 4 (src):    libsoup-2.62.2-5.7.1
Comment 27 Swamp Workflow Management 2019-01-09 19:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/664158 Factory / jhbuild
Comment 31 Swamp Workflow Management 2019-10-14 11:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/738089 Factory / gnome-terminal
Comment 33 OBSbugzilla Bot 2020-05-19 09:20:44 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/807148 Backports:SLE-12-SP4 / atril+caja+caja-dropbox+caja-extensions+caja-terminal+engrampa+eom+filemanager-actions+galculator+gtk2-engine-murrine+gucharmap+libfakekey+libmatekbd+libmatemixer+libmateweather+marco+mate-applet-softupd+mate-applets+mate-backgrounds+mate-branding-openSUSE+mate-calc+mate-common+mate-control-center+mate-desktop+mate-eiciel+mate-icon-theme+mate-icon-theme-faenza+mate-indicator-applet+mate-media+mate-menu+mate-menus+mate-netbook+mate-notification-daemon+mate-panel+mate-polkit+mate-power-manager+mate-screensaver+mate-sensors-applet+mate-session-manager+mate-settings-daemon+mate-system-monitor+mate-terminal+mate-themes+mate-user-guide+mate-user-share+mate-utils+mathjax+metacity+mozo+pluma+python-Unidecode
Comment 34 OBSbugzilla Bot 2021-07-19 10:11:20 UTC
This is an autogenerated message for OBS integration:
This bug (1086036) was mentioned in
https://build.opensuse.org/request/show/907064 Factory / gnome-shell-extensions